Uploaded image for project: 'JDK'
  1. JDK
  2. JDK-8120391

Prism: Native libraries on Mac OS X need to have .dylib extension

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: P2
    • Resolution: Fixed
    • Affects Version/s: fx2.1
    • Fix Version/s: fx2.1
    • Component/s: javafx
    • Environment:

      Mac OS X

      Description

      See RT-19101 for a description of why this is the case.

      Currently all native JavaFX libraries loaded via NativeLibLoader have the .jnilib extension. We need to change them all to have the .dylib extension instead.

      Affected libraries:

      libdecora-sse.jnilib --> libdecora-sse.dylib
      libjavafx-font.jnilib --> libjavafx-font.dylib
      libjavafx-iio.jnilib --> libjavafx-iio.dylib
      libprism-es2.jnilib --> libprism-es2.dylib

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              kcr Kevin Rushforth
              Reporter:
              kcr Kevin Rushforth
              Votes:
              0 Vote for this issue
              Watchers:
              0 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved:
                Imported: